# Uses of Interface
org.eclipse.emf.cdo.expressions.BooleanValue

Packages that use BooleanValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of BooleanValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return BooleanValue
Modifier and Type
Method
Description
`BooleanValue`
ExpressionsFactory.`createBooleanValue()`
Returns a new object of class 'Boolean Value'.

## Uses of BooleanValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement BooleanValue
Modifier and Type
Class
Description
`class`
`BooleanValueImpl`
An implementation of the model object 'Boolean Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return BooleanValue
Modifier and Type
Method
Description
`BooleanValue`
ExpressionsFactoryImpl.`createBooleanValue()`

## Uses of BooleanValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return BooleanValue
Modifier and Type
Method
Description
`static BooleanValue`
ExpressionsUtil.`value(boolean literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type BooleanValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseBooleanValue(BooleanValue object)`
Returns the result of interpreting the object as an instance of 'Boolean Value'.